astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Pix2Sky_CylindricalEqualArea

# Pix2Sky_CylindricalEqualArea

class `astropy.modeling.projections.``Pix2Sky_CylindricalEqualArea`

  Bases: `astropy.modeling.projections.Pix2SkyProjection`, `astropy.modeling.projections.Cylindrical`

  Cylindrical equal area projection - pixel to sky.

  Corresponds to the `CEA` projection in FITS WCS.

  \phi &= x \\ \theta &= \sin^{-1}\left(\frac{\pi}{180^{\circ}}\lambda y\right)

  Parameters:

  lam : float

  > Radius of the cylinder in spherical radii, λ. Default is 0.

  Attributes Summary

  `lam` |
  `param_names` |

  Methods Summary

  `evaluate`(x, y, lam) |

  Attributes Documentation

  `lam`
  `param_names` = ('lam',)

  Methods Documentation

  classmethod `evaluate`(x, y, lam)